> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ton.org/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://docs.ton.org/feedback

```json
{
  "path": "/ecosystem/api/toncenter/v3/nfts/get-nft-items",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Get NFT items

> Get NFT items by specified filters



## OpenAPI

````yaml get /api/v3/nft/items
openapi: 3.0.0
info:
  title: TON Index (Go)
  description: >-
    TON Index collects data from a full node to PostgreSQL database and provides
    convenient API to an indexed blockchain.
  version: 1.2.4-rc
  contact: {}
servers:
  - url: https://toncenter.com
  - url: https://testnet.toncenter.com
security: []
paths:
  /api/v3/nft/items:
    get:
      tags:
        - NFTs
      summary: Get NFT items
      description: Get NFT items by specified filters
      operationId: api_v3_get_nft_items
      parameters:
        - name: address
          in: query
          description: 'NFT item address in any form. Max: 1000.'
          explode: true
          schema:
            type: array
            items:
              type: string
        - name: owner_address
          in: query
          description: 'Address of NFT item owner in any form. Max: 1000.'
          explode: true
          schema:
            type: array
            items:
              type: string
        - name: collection_address
          in: query
          description: Collection address in any form.
          explode: true
          schema:
            type: array
            items:
              type: string
        - name: index
          in: query
          description: 'Index of item for given collection. Max: 1000.'
          explode: true
          schema:
            type: array
            items:
              type: string
        - name: include_on_sale
          in: query
          description: >-
            Include nft on sales and auctions. Used only when owner_address is
            passed
          schema:
            type: boolean
            default: false
        - name: sort_by_last_transaction_lt
          in: query
          description: >-
            Sort NFT items by last transaction lt descending. **Warning:**
            results may be inconsistent during pagination with limit and offset.
          schema:
            type: boolean
        - name: limit
          in: query
          description: Limit number of queried rows. Use with *offset* to batch read.
          schema:
            type: integer
            format: int32
            default: 10
            minimum: 1
            maximum: 1000
        - name: offset
          in: query
          description: Skip first N rows. Use with *limit* to batch read.
          schema:
            type: integer
            format: int32
            default: 0
            minimum: 0
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NFTItemsResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RequestError'
      security: []
components:
  schemas:
    NFTItemsResponse:
      type: object
      properties:
        address_book:
          $ref: '#/components/schemas/AddressBook'
        metadata:
          $ref: '#/components/schemas/Metadata'
        nft_items:
          type: array
          items:
            $ref: '#/components/schemas/NFTItem'
    RequestError:
      type: object
      properties:
        code:
          type: integer
        error:
          type: string
    AddressBook:
      type: object
      additionalProperties:
        $ref: '#/components/schemas/AddressBookRow'
    Metadata:
      type: object
      additionalProperties:
        $ref: '#/components/schemas/AddressMetadata'
    NFTItem:
      type: object
      properties:
        address:
          type: string
        auction_contract_address:
          type: string
        code_hash:
          type: string
        collection:
          $ref: '#/components/schemas/NFTCollection'
        collection_address:
          type: string
        content:
          type: object
          additionalProperties: true
        data_hash:
          type: string
        index:
          type: string
        init:
          type: boolean
        last_transaction_lt:
          type: string
          example: '0'
        on_sale:
          type: boolean
        owner_address:
          type: string
        real_owner:
          type: string
        sale_contract_address:
          type: string
    AddressBookRow:
      type: object
      properties:
        domain:
          type: string
        interfaces:
          type: array
          items:
            type: string
        user_friendly:
          type: string
    AddressMetadata:
      type: object
      properties:
        is_indexed:
          type: boolean
        token_info:
          type: array
          items:
            $ref: '#/components/schemas/TokenInfo'
    NFTCollection:
      type: object
      properties:
        address:
          type: string
        code_hash:
          type: string
        collection_content:
          type: object
          additionalProperties: true
        data_hash:
          type: string
        last_transaction_lt:
          type: string
          example: '0'
        next_item_index:
          type: string
        owner_address:
          type: string
    TokenInfo:
      type: object
      properties:
        description:
          type: string
        extra:
          type: object
          additionalProperties: true
        image:
          type: string
        name:
          type: string
        nft_index:
          type: string
        symbol:
          type: string
        type:
          type: string
        valid:
          type: boolean

````